> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-mcp-servers.md).

# getMcpServers

Get a paginated, filterable, sortable list of MCP servers in the VibeSec BOM.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
query GetMcpServers($input: GetMcpServersInput) {
  getMcpServers(input: $input) {
    items {
      name
      identifier
      connectionType
      description
      totalUsers
      totalCalls
      totalTools
      lastActivity
      userTotalCalls
      userLastUsedAt
      firstSeen
      verdict
      findingsCount
      packageId
      metadata {
        transport
        publisher
        registryVersion
        toolsExposed
        prevalencePercent
        aiVerdict
        aiConfidence
        stars
        downloads
        lastScannedAt
        registryPublishedAt
        remoteHost
      }
      repository {
        url
        source
        id
      }
      registryStatus
    }
    total
    totalUsers
    totalCalls
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "input": {
    "filter": {
      "identifier": ["https://mcp.example.com/sse"],
      "name": ["github-mcp"],
      "user": ["developer@example.com"],
      "toolName": ["search_repositories"],
      "verdict": ["Dangerous"]
    },
    "sort": {
      "field": "Name",
      "direction": "Asc"
    },
    "limit": 100,
    "offset": 0,
    "dateRange": {
      "from": 1749000000000,
      "to": 1749900000000
    }
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "query GetMcpServers($input: GetMcpServersInput) { getMcpServers(input: $input) { items { name identifier connectionType description totalUsers totalCalls totalTools lastActivity userTotalCalls userLastUsedAt firstSeen verdict findingsCount packageId metadata { transport publisher registryVersion toolsExposed prevalencePercent aiVerdict aiConfidence stars downloads lastScannedAt registryPublishedAt remoteHost } repository { url source id } registryStatus } total totalUsers totalCalls } }",
 "variables": {
    "input": {
      "filter": {
        "identifier": ["https://mcp.example.com/sse"],
        "name": ["github-mcp"],
        "user": ["developer@example.com"],
        "toolName": ["search_repositories"],
        "verdict": ["Dangerous"]
      },
      "sort": {
        "field": "Name",
        "direction": "Asc"
      },
      "limit": 100,
      "offset": 0,
      "dateRange": {
        "from": 1749000000000,
        "to": 1749900000000
      }
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'query GetMcpServers($input: GetMcpServersInput) { getMcpServers(input: $input) { items { name identifier connectionType description totalUsers totalCalls totalTools lastActivity userTotalCalls userLastUsedAt firstSeen verdict findingsCount packageId metadata { transport publisher registryVersion toolsExposed prevalencePercent aiVerdict aiConfidence stars downloads lastScannedAt registryPublishedAt remoteHost } repository { url source id } registryStatus } total totalUsers totalCalls } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      input: {
        filter: {
          identifier: ["https://mcp.example.com/sse"],
          name: ["github-mcp"],
          user: ["developer@example.com"],
          toolName: ["search_repositories"],
          verdict: ["Dangerous"]
        },
        sort: {
          field: "Name",
          direction: "Asc"
        },
        limit: 100,
        offset: 0,
        dateRange: {
          from: 1749000000000,
          to: 1749900000000
        }
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'query GetMcpServers($input: GetMcpServersInput) { getMcpServers(input: $input) { items { name identifier connectionType description totalUsers totalCalls totalTools lastActivity userTotalCalls userLastUsedAt firstSeen verdict findingsCount packageId metadata { transport publisher registryVersion toolsExposed prevalencePercent aiVerdict aiConfidence stars downloads lastScannedAt registryPublishedAt remoteHost } repository { url source id } registryStatus } total totalUsers totalCalls } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "input": {
        "filter": {
          "identifier": ["https://mcp.example.com/sse"],
          "name": ["github-mcp"],
          "user": ["developer@example.com"],
          "toolName": ["search_repositories"],
          "verdict": ["Dangerous"]
        },
        "sort": {
          "field": "Name",
          "direction": "Asc"
        },
        "limit": 100,
        "offset": 0,
        "dateRange": {
          "from": 1749000000000,
          "to": 1749900000000
        }
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `getMcpServers` query.

| Argument                                                                                                          | Description | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| ----------------------------------------------------------------------------------------------------------------- | ----------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| input [`GetMcpServersInput`](/api-documentation/api-reference/api--vibesec/types/inputs/get-mcp-servers-input.md) |             | <p>filter <a href="/api-documentation/api-reference/api--vibesec/types/inputs/ai-bom-filter-input.md"><code>AiBomFilterInput</code></a><br>sort <a href="/api-documentation/api-reference/api--vibesec/types/inputs/ai-bom-sort-input.md"><code>AiBomSortInput</code></a><br>limit <code>Int</code><br>offset <code>Int</code><br>dateRange <a href="/api-documentation/api-reference/api--vibesec/types/inputs/vibe-sec-date-range.md"><code>VibeSecDateRange</code></a></p> |

### Fields

Return type: [`GetMcpServersResponse!`](/api-documentation/api-reference/api--vibesec/types/objects/get-mcp-servers-response.md)

You can use the following field(s) to specify what information your `getMcpServers` query will return. Please note that some fields may have their own subfields.

| Field                                                                                                                 | Description                                                    | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| --------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| items [`[McpServerItem!]!`](/api-documentation/api-reference/api--vibesec/types/objects/mcp-server-item.md)           | List of MCP servers matching the query criteria                | <p>name <code>String!</code><br>identifier <code>String!</code><br>connectionType <code>String</code><br>description <code>String</code><br>totalUsers <code>Int!</code><br>totalCalls <code>Int!</code><br>totalTools <code>Int!</code><br>lastActivity <code>DateTime</code><br>userTotalCalls <code>Int</code><br>userLastUsedAt <code>DateTime</code><br>firstSeen <code>DateTime</code><br>verdict <a href="/api-documentation/api-reference/api--vibesec/types/enums/mcp-verdict.md"><code>McpVerdict</code></a><br>findingsCount <code>Int</code><br>packageId <code>String</code><br>metadata <a href="/api-documentation/api-reference/api--vibesec/types/objects/mcp-reputation-metadata.md"><code>McpReputationMetadata</code></a><br>repository <a href="/api-documentation/api-reference/api--vibesec/types/objects/mcp-reputation-repository.md"><code>McpReputationRepository</code></a><br>registryStatus <code>String</code></p> |
| ~~data~~ [~~`[McpServerItem!]!`~~](/api-documentation/api-reference/api--vibesec/types/objects/mcp-server-item.md) ⚠️ | **Deprecated**: Use items                                      | <p>name <code>String!</code><br>identifier <code>String!</code><br>connectionType <code>String</code><br>description <code>String</code><br>totalUsers <code>Int!</code><br>totalCalls <code>Int!</code><br>totalTools <code>Int!</code><br>lastActivity <code>DateTime</code><br>userTotalCalls <code>Int</code><br>userLastUsedAt <code>DateTime</code><br>firstSeen <code>DateTime</code><br>verdict <a href="/api-documentation/api-reference/api--vibesec/types/enums/mcp-verdict.md"><code>McpVerdict</code></a><br>findingsCount <code>Int</code><br>packageId <code>String</code><br>metadata <a href="/api-documentation/api-reference/api--vibesec/types/objects/mcp-reputation-metadata.md"><code>McpReputationMetadata</code></a><br>repository <a href="/api-documentation/api-reference/api--vibesec/types/objects/mcp-reputation-repository.md"><code>McpReputationRepository</code></a><br>registryStatus <code>String</code></p> |
| total `Int!`                                                                                                          | Total number of MCP servers matching the query criteria        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| totalUsers `Int!`                                                                                                     | Total number of distinct users across the matching MCP servers |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| totalCalls `Int!`                                                                                                     | Total number of calls across the matching MCP servers          |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--vibesec/queries/get-mcp-servers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
